"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = defaultRowRenderer;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _classnames = _interopRequireDefault(require("classnames"));

var React = _interopRequireWildcard(require("react"));

function defaultRowRenderer(_ref) {
  var controlClassName = _ref.controlClassName,
      controlStyle = _ref.controlStyle,
      childrenCount = _ref.childrenCount,
      className = _ref.className,
      isOpened = _ref.isOpened,
      key = _ref.key,
      nodeData = _ref.nodeData,
      onNodeToggle = _ref.onNodeToggle,
      onRowClick = _ref.onRowClick,
      onRowDoubleClick = _ref.onRowDoubleClick,
      onRowMouseOut = _ref.onRowMouseOut,
      onRowMouseOver = _ref.onRowMouseOver,
      onRowRightClick = _ref.onRowRightClick,
      style = _ref.style;
  var a11yProps = {};

  if (onRowClick || onRowDoubleClick || onRowMouseOver || onRowMouseOut || onRowRightClick) {
    a11yProps['aria-label'] = 'tree-node';
    a11yProps.tabIndex = 0;

    if (onRowClick) {
      a11yProps.onClick = function (event) {
        onRowClick({
          event: event,
          nodeData: nodeData
        });
      };
    }

    if (onRowDoubleClick) {
      a11yProps.onDoubleClick = function (event) {
        onRowDoubleClick({
          event: event,
          nodeData: nodeData
        });
      };
    }

    if (onRowMouseOver) {
      a11yProps.onMouseOut = function (event) {
        onRowMouseOver({
          event: event,
          nodeData: nodeData
        });
      };
    }

    if (onRowMouseOut) {
      a11yProps.onMouseOver = function (event) {
        onRowMouseOut({
          event: event,
          nodeData: nodeData
        });
      };
    }

    if (onRowRightClick) {
      a11yProps.onContextMenu = function (event) {
        onRowRightClick({
          event: event,
          nodeData: nodeData
        });
      };
    }
  }

  var isLeaf = childrenCount === 0;
  return React.createElement("div", (0, _extends2.default)({}, a11yProps, {
    className: (0, _classnames.default)('ReactVirtualized__Tree__node', className),
    key: key,
    style: style
  }), React.createElement("div", {
    className: controlClassName,
    style: controlStyle
  }, !isLeaf && React.createElement("button", {
    type: "button",
    onClick: onNodeToggle
  }, isOpened ? '-' : '+')), React.createElement("div", null, String(nodeData)));
}