import _extends from "@babel/runtime/helpers/extends";
import cn from 'classnames';
import * as React from 'react';
export default function defaultRowRenderer(_ref) {
  var controlClassName = _ref.controlClassName,
      controlStyle = _ref.controlStyle,
      childrenCount = _ref.childrenCount,
      className = _ref.className,
      isOpened = _ref.isOpened,
      key = _ref.key,
      nodeData = _ref.nodeData,
      onNodeToggle = _ref.onNodeToggle,
      onRowClick = _ref.onRowClick,
      onRowDoubleClick = _ref.onRowDoubleClick,
      onRowMouseOut = _ref.onRowMouseOut,
      onRowMouseOver = _ref.onRowMouseOver,
      onRowRightClick = _ref.onRowRightClick,
      style = _ref.style;
  var a11yProps = {};

  if (onRowClick || onRowDoubleClick || onRowMouseOver || onRowMouseOut || onRowRightClick) {
    a11yProps['aria-label'] = 'tree-node';
    a11yProps.tabIndex = 0;

    if (onRowClick) {
      a11yProps.onClick = function (event) {
        onRowClick({
          event: event,
          nodeData: nodeData
        });
      };
    }

    if (onRowDoubleClick) {
      a11yProps.onDoubleClick = function (event) {
        onRowDoubleClick({
          event: event,
          nodeData: nodeData
        });
      };
    }

    if (onRowMouseOver) {
      a11yProps.onMouseOut = function (event) {
        onRowMouseOver({
          event: event,
          nodeData: nodeData
        });
      };
    }

    if (onRowMouseOut) {
      a11yProps.onMouseOver = function (event) {
        onRowMouseOut({
          event: event,
          nodeData: nodeData
        });
      };
    }

    if (onRowRightClick) {
      a11yProps.onContextMenu = function (event) {
        onRowRightClick({
          event: event,
          nodeData: nodeData
        });
      };
    }
  }

  var isLeaf = childrenCount === 0;
  return React.createElement("div", _extends({}, a11yProps, {
    className: cn('ReactVirtualized__Tree__node', className),
    key: key,
    style: style
  }), React.createElement("div", {
    className: controlClassName,
    style: controlStyle
  }, !isLeaf && React.createElement("button", {
    type: "button",
    onClick: onNodeToggle
  }, isOpened ? '-' : '+')), React.createElement("div", null, String(nodeData)));
}